Get Report Findings
curl --request POST \
--url https://api.example.com/api/reporting/{deploymentId}/findings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"projects": [
"<string>"
],
"tags": [
"<string>"
],
"teams": [
"<string>"
],
"ruleIds": [
"<string>"
],
"findingCategories": [
"<string>"
],
"projectIds": [
"<string>"
]
},
"cursor": "<string>",
"limit": 123,
"bucketStart": "2023-11-07T05:31:56Z",
"guardrailsState": "<string>"
}
'import requests
url = "https://api.example.com/api/reporting/{deploymentId}/findings"
payload = {
"filters": {
"timePeriod": {
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z"
},
"projects": ["<string>"],
"tags": ["<string>"],
"teams": ["<string>"],
"ruleIds": ["<string>"],
"findingCategories": ["<string>"],
"projectIds": ["<string>"]
},
"cursor": "<string>",
"limit": 123,
"bucketStart": "2023-11-07T05:31:56Z",
"guardrailsState": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timePeriod: {since: '2023-11-07T05:31:56Z', until: '2023-11-07T05:31:56Z'},
projects: ['<string>'],
tags: ['<string>'],
teams: ['<string>'],
ruleIds: ['<string>'],
findingCategories: ['<string>'],
projectIds: ['<string>']
},
cursor: '<string>',
limit: 123,
bucketStart: '2023-11-07T05:31:56Z',
guardrailsState: '<string>'
})
};
fetch('https://api.example.com/api/reporting/{deploymentId}/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"findings": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"syntacticId": "<string>",
"matchBasedId": "<string>",
"ruleId": "<string>",
"repository": {
"name": "<string>",
"id": "<string>",
"primaryRef": {
"id": "<string>",
"ref": "<string>"
}
},
"firstSeenScan": {
"id": "<string>",
"meta": {}
},
"relevantSince": "2023-11-07T05:31:56Z",
"note": "<string>",
"externalTicket": {
"url": "<string>",
"externalSlug": "<string>",
"id": "<string>",
"linkedIssueIds": [
"<string>"
]
},
"vulnGroupKey": "<string>",
"isBlocking": true,
"autotriage": {
"id": "<string>",
"issueId": "<string>",
"reason": "<string>",
"feedback": {
"autotriageId": "<string>",
"note": "<string>"
},
"matchBasedId": "<string>",
"memoryIdsReferenced": [
"<string>"
],
"memoryIdsRendered": [
"<string>"
]
},
"aiTags": {
"id": "<string>",
"path": "<string>",
"tags": "<string>"
},
"lineOfCodeUrl": "<string>",
"codeSnippet": "<string>",
"dataflowTrace": {
"taintSource": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
],
"intermediateVars": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
],
"taintSink": [
{
"path": "<string>",
"start": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"end": {
"line": "<string>",
"col": "<string>",
"offset": "<string>"
},
"locationUrl": "<string>"
}
]
},
"commitUrl": "<string>",
"activityHistory": [
{
"date": "2023-11-07T05:31:56Z",
"title": "<string>",
"triageReason": "<string>",
"note": "<string>",
"actor": "<string>",
"exceptionRequestDetails": {}
}
],
"relatedIssues": [
{
"id": "<string>",
"ref": "<string>",
"pullRequestId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"remediation": {
"issueId": "<string>",
"matchBasedId": "<string>",
"autofix": {
"id": "<string>",
"fixCode": "<string>",
"fixDiff": "<string>",
"explanation": "<string>",
"url": "<string>"
},
"guidance": {
"id": "<string>",
"summary": "<string>",
"guidanceText": "<string>",
"memoryIdsUsed": [
"<string>"
]
}
},
"lastSeenScan": {
"id": "<string>",
"meta": {}
},
"filePath": "<string>",
"line": 123,
"endLine": 123,
"column": 123,
"endColumn": 123,
"message": "<string>",
"rulePath": "<string>",
"ruleUrl": "<string>",
"ruleReferences": [
"<string>"
],
"ruleHashId": "<string>",
"ruleCweNames": [
"<string>"
],
"ruleOwaspNames": [
"<string>"
],
"ruleset": "<string>",
"policySlug": "<string>",
"category": "<string>",
"ruleSupersededBy": [
{
"rulePath": "<string>"
}
],
"issueParentId": "<string>",
"ticketAttempts": [
{
"attemptedAt": "2023-11-07T05:31:56Z",
"responseMessage": "<string>"
}
],
"sastAttributes": {},
"scaAttributes": {
"vulnDatabaseIdentifier": "<string>",
"reachableCondition": "<string>",
"cwes": [
"<string>"
],
"foundDependency": {
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
},
"fixRecommendations": [
{
"package": "<string>",
"version": "<string>"
}
],
"bestFix": {
"package": "<string>",
"version": "<string>"
},
"epssScore": {
"score": 123,
"percentile": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"rulePublishDate": "2023-11-07T05:31:56Z",
"scaMatchInfo": {
"analyzedPackages": [
{
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
}
],
"transitiveMatches": [
{
"dependency": {
"package": "<string>",
"version": "<string>",
"lockfileLineUrl": "<string>",
"filePath": "<string>",
"manifestFilePath": "<string>"
},
"path": "<string>",
"line": "<string>"
}
]
},
"introducedBy": [
{
"package": "<string>",
"version": "<string>"
}
]
},
"secretsAttributes": {
"secretType": "<string>",
"historicalInfo": {
"gitCommit": "<string>",
"gitCommitTimestamp": "2023-11-07T05:31:56Z",
"gitBlob": "<string>"
}
},
"subcategories": [
"<string>"
],
"refUrl": "<string>",
"codeowners": [
{
"id": "<string>",
"name": "<string>",
"isTeam": true,
"members": "<array>"
}
],
"codeSnippets": [
{
"path": "<string>",
"content": "<string>"
}
],
"ruleExplanation": {
"id": "<string>",
"summary": "<string>",
"explanation": "<string>"
},
"ruleDisplayName": "<string>",
"clickToFixPrUrl": "<string>",
"aiImpact": "<string>",
"aiExploitConditions": [
{
"description": "<string>",
"confirmed": true
}
],
"clickToFixCommitMsg": "<string>",
"exceptionRequest": {
"requesterLogin": "<string>",
"requesterNote": "<string>",
"reviewerLogin": "<string>",
"requestId": "<string>",
"reviewId": "<string>",
"issueId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"reviewedAt": "2023-11-07T05:31:56Z"
},
"clickToFixPrId": "<string>",
"isArchived": true
}
],
"cursor": "<string>",
"total": 123,
"totalCode": 123,
"totalSca": 123,
"totalSecrets": 123
}Reporting
Get Report Findings
POST
/
api
/
reporting
/
{deploymentId}
/
findings
Get Report Findings
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
The unique numerical identifier of the deployment associated with the report.
Example:
"1234"
Body
application/json
| value | description |
|---|---|
| REPORT_TYPE_TOTAL_OPEN | |
| REPORT_TYPE_TOTAL_FIXED | |
| REPORT_TYPE_TOTAL_IGNORED | |
| REPORT_TYPE_TOTAL_PROVISIONALLY_IGNORED | |
| REPORT_TYPE_OPEN_BACKLOG | |
| REPORT_TYPE_BACKLOG_ACTIVITY | |
| REPORT_TYPE_PROJECT | |
| REPORT_TYPE_GUARDRAILS_ACTIVITY |
Available options:
REPORT_TYPE_TOTAL_OPEN, REPORT_TYPE_TOTAL_FIXED, REPORT_TYPE_TOTAL_IGNORED, REPORT_TYPE_TOTAL_PROVISIONALLY_IGNORED, REPORT_TYPE_OPEN_BACKLOG, REPORT_TYPE_BACKLOG_ACTIVITY, REPORT_TYPE_PROJECT, REPORT_TYPE_GUARDRAILS_ACTIVITY Show child attributes
Show child attributes
| value | description |
|---|---|
| AGGREGATE_ISSUE_STATE_OPEN | |
| AGGREGATE_ISSUE_STATE_FIXED | |
| AGGREGATE_ISSUE_STATE_REMOVED | |
| AGGREGATE_ISSUE_STATE_IGNORED_APP | |
| AGGREGATE_ISSUE_STATE_IGNORED_CODE | |
| AGGREGATE_ISSUE_STATE_UNKNOWN | |
| AGGREGATE_ISSUE_STATE_REVIEWING | |
| AGGREGATE_ISSUE_STATE_FIXING | |
| AGGREGATE_ISSUE_STATE_PROVISIONALLY_IGNORED_APP |
Available options:
AGGREGATE_ISSUE_STATE_OPEN, AGGREGATE_ISSUE_STATE_FIXED, AGGREGATE_ISSUE_STATE_REMOVED, AGGREGATE_ISSUE_STATE_IGNORED_APP, AGGREGATE_ISSUE_STATE_IGNORED_CODE, AGGREGATE_ISSUE_STATE_UNKNOWN, AGGREGATE_ISSUE_STATE_REVIEWING, AGGREGATE_ISSUE_STATE_FIXING, AGGREGATE_ISSUE_STATE_PROVISIONALLY_IGNORED_APP Was this page helpful?
⌘I